ABBS 论坛       
首页Master作品招聘招标动态热帖杂志招聘帮助搜索注册登录Blog  积分 简历  

» ABBS 论坛 » CAD应用与开发 » 一般应用  

动态热帖招聘杂志 
   
reply to topic
threaded modego to previous topicgo to next topic
cad命令的合并
awhat


发贴: 165



2011-11-23 21:37 查看他的注册信息   查看他的Blog 给他发送悄悄话 引用并回帖 搜索他发表的帖子 复制到剪贴板. 
不过只适用于IE 收藏这篇帖子
我想问一下,cad的输入z后空格再输入e再空格,可以使对象全部显示,有什么快捷键把这个合并吗?就是输入一个快捷键显示全部对象,不是双击鼠标中建。
还有就是圆角命令,输入f后空格再输入m可以圆角多条线段,可不可以也把这个合并,直接圆角多条线段?或者有没有什么lsp程序,可以做到这些,还望赐教!




cywx


发贴: 1609
2011-11-24 16:29 查看他的注册信息   查看他的Blog 给他发送悄悄话 发送email给 cywx 引用并回帖 搜索他发表的帖子 复制到剪贴板. 
不过只适用于IE 收藏这篇帖子
LSP语言吧,很简单
几个关于zoom的命令,供参考,以此类推吧,格式都差不多。

(DEFUN C:ZX () (COMMAND "'ZOOM" "P"))
(DEFUN C:ZA () (COMMAND "'ZOOM" "A"))
(DEFUN C:ZW () (COMMAND "'ZOOM" "W"))
(DEFUN C:ZE () (COMMAND "'ZOOM" "E"))
(DEFUN C:Zd () (COMMAND "'ZOOM" "d"))
(DEFUN C:ZZ () (COMMAND "'ZOOM" "0.5X"))
(DEFUN C:ZC () (COMMAND "'ZOOM" "2X"))
我做过一个很长的命令,旨在把dwg文件的内部系统变量都重新初始话
当时用的还是R14,后来没改进了,说明一下吧
(DEFUN C:Q () (COMMAND "mirrtext" "0" "ucs" "w" "" "color" "7" "osmode" "0" "blipmode" "0"
"fillet" "r" "0" "pline" "0,0" "w" "0" "0" "" "osmode" "699" "grid" "off" "ltscale" "1" "snap" "of" "coords" "2" "ortho" "1" "_qsave" "~"))

这是一个存盘命令,在存盘前调整了一些参数
mirrtext,0:文字镜象
ues,w:世界坐标
color,7:当前颜色白色(也可以把7换成bylayer)
osmode,0:捕捉模式,不捕捉。后面有个699是端点,中点垂直点最近点什么的组合)
blipmode,0:鼠标在屏幕上点击不留记号,R12默认是留的,13开始没了
fillet,r,0:设置倒圆角的默认半径为0
pline,0,0,w,0,0,“” 重新画一条pline,起点是0,0,设置线宽,再结束命令。
前面的osmode设置为0是防止电脑在这个命令中自动捕捉
osmode,前面说过了
grid,off,是F7那个格子开关,设置到没有
后面的是线型比例,捕捉,坐标显示,正交等等,不一一赘述。
比较有意思的是_qsave后面有个“~”
命令前加_是什么命令方式忘记了,反正现在的效果是全部结果在命令行提示的,如果你的文件是新建的,用qsave命令要提示输入文件名,而那个"~"就是呼唤对话框的命令.



awhat


发贴: 165
2011-11-24 21:38 查看他的注册信息   查看他的Blog 给他发送悄悄话 引用并回帖 搜索他发表的帖子 复制到剪贴板. 
不过只适用于IE 收藏这篇帖子
谢谢大侠,但是这些lsp程序怎么保存到cad里面了?



已读帖子
新的帖子
被删帖子

reply to topic
Jump to the top of page

返回ABBS首页 | 设计 | 室内 | 景观 | 建材 | 设备 | 卫浴 | 展览 | 照明

广告服务 | 招聘服务 | 隐私政策 | 联系我们 | 设为首页

违法、有害信息举报:QQ 1764506 电话 028-61998486
Powered by Jute Powerful Forum® Version Jute 1.5.5 Ent
Copyright © 1998-2022 ABBS.com All Rights Reserved.